Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 823189 - Non - ejection of Live CD Disk
Non - ejection of Live CD Disk
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
23
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 15:02 EDT by Vimal Jain
Modified: 2016-12-20 07:13 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:13:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vimal Jain 2012-05-19 15:02:53 EDT
Description of problem:

Since F17 is near release, I can't help but bring one issue to Fedora people's notice that unlike Ubuntu when someone is done with Fedora live CD, the CD does not comes out before shutting off the Computer.

 (The behavior of Ubuntu Live CD which ejects CD before turing off is very useful.)

Can fedora people address this isssue because I have to reboot PC twice just for getting live VD out of Optical disk drive....


Version-Release number of selected component (if applicable):




How reproducible:

1. Put Fedora live CD  and boot it. 
2. When done with using Fedora, try to shut down the PC. 
3. Now PC is shut off without Fedora letting me take the LIVE CD out of Optical Disk Drive. 
4. Reboot to take the CD out manually. 


Steps to Reproduce:

1. Put Fedora live CD  and boot it. 
2. When done with using Fedora, try to shut down the PC. 
3. Now PC is shut off without Fedora letting me take the LIVE CD out of Optical Disk Drive. 
4. Reboot to take the CD out manually.
 
Actual results:

Live CD not ejected before shut off.


Expected results:

Live CD should be ejected before shut off like Ubuntu Live CD.


Additional info:

Ubuntu Live CD lets the user eject Live CD automatically before shut off.
Comment 1 Petr Schindler 2012-05-21 04:00:55 EDT
This issue is more NTH than blocker for me. There is an easy workaround (to start pc one more time). Also this is related only to CD (and DVD), you won't meet it when using flash disk.

I'm -1 on blocker and not sure about NTH, but I agree that this behaviour could be quite annoying.
Comment 2 Tom "spot" Callaway 2012-05-21 10:32:07 EDT
I'm also +1 NTH, -1 blocker here.
Comment 3 Adam Williamson 2012-05-21 12:49:19 EDT
Discussed in 2012-05-21 QA meeting, acting as a blocker review meeting. Rejected as blocker and NTH: it meets no criteria, is easy to 'work around', and would be dangerous to change this late.
Comment 4 ShinyNewman 2012-05-27 07:35:09 EDT
This  feature is very much required. Very important Must have NTH.

I think the suggestion that there are silly workarounds for this is very much being rude to Fedora users. I mean what does it take to implement this feature, this is not such a big technical problem, is it?

Moreover there is Ubuntu's source code available which can be referred ... ? 

Also, not every one uses USB drive... me for one use optical media for fedora... 

That's the way users are, Software must accomodate users, not the other way around ... ? 


If not now, please developers implement this for Fedora 18....

Anyway, 

Thanks...
Comment 5 ShinyNewman 2012-05-27 07:38:17 EDT
Also, Rebooting PCs just for the sake of ejecting Fedora live CD is waste of resources and energy... and doing it frequently is irritating...  When it can be done in few lines of code ... ?

User experience... any one? 

Thanks...
Comment 6 Jesse Keating 2012-05-29 14:16:11 EDT
17 has been released, moving to rawhide.
Comment 7 ShinyNewman 2012-06-22 03:41:28 EDT
Any progress ...?
Comment 8 LouisGirlie 2012-07-27 12:45:00 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=239928 

Are the two bugs related... One of them filed wayback in 2008.. Still the issue remains... Common fedora team... IS this what we call bleeding edge tech... Please implement this requested feature. 


You can refer to Ubuntu code for little help, if you care. 

Thanks...
Comment 9 LouisGirlie 2012-07-27 12:50:43 EDT
There is an incentive of user experience being improved by implementing this feature. 

Anyway Ubunutu code handles all types of media like USB or DVD or CD.


Thanks.
Comment 10 Fedora End Of Life 2013-04-03 12:09:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Fedora End Of Life 2015-01-09 12:09:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Adam Williamson 2015-01-09 12:22:44 EST
I guess this is still valid, if anyone cares.
Comment 13 Jan Kurik 2015-07-15 11:08:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 14 Fedora End Of Life 2016-11-24 05:39:17 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 07:13:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.